Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes
Lucene::LuceneSync Class Reference

Base class for all Lucene synchronised classes. More...

`#include <LuceneSync.h>`

Inheritance diagram for Lucene::LuceneSync:

## Public Member Functions

virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Protected Attributes

SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Base class for all Lucene synchronised classes.

## Constructor & Destructor Documentation

## ◆ ~LuceneSync()

virtual Lucene::LuceneSync::~LuceneSync | ( |  | ) |

virtual

## Member Function Documentation

## ◆ getSignal()

virtual LuceneSignalPtr Lucene::LuceneSync::getSignal | ( |  | ) |

virtual

Return this object signal.

## ◆ getSync()

virtual SynchronizePtr Lucene::LuceneSync::getSync | ( |  | ) |

virtual

Return this object synchronize lock.

## ◆ holdsLock()

virtual bool Lucene::LuceneSync::holdsLock | ( |  | ) |

virtual

Returns true if this object is currently locked by current thread.

## ◆ lock()

virtual void Lucene::LuceneSync::lock | ( | int32_t | timeout = `0` | ) |

virtual

Lock this object using an optional timeout.

## ◆ notifyAll()

virtual void Lucene::LuceneSync::notifyAll | ( |  | ) |

virtual

Notify all threads waiting for signal.

## ◆ unlock()

virtual void Lucene::LuceneSync::unlock | ( |  | ) |

virtual

Unlock this object.

## ◆ wait()

virtual void Lucene::LuceneSync::wait | ( | int32_t | timeout = `0` | ) |

virtual

Wait for signal using an optional timeout.

Referenced by Lucene::Future::get().

## Field Documentation

## ◆ objectLock

SynchronizePtr Lucene::LuceneSync::objectLock

protected

## ◆ objectSignal

LuceneSignalPtr Lucene::LuceneSync::objectSignal

protected

The documentation for this class was generated from the following file:

- LuceneSync.h

clucene.sourceforge.net